Skip to main content
GET
/
users
/
{userId}
Get user by ID
curl --request GET \
  --url https://dashboard.hologram.io/api/1/users/{userId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": {
    "id": 12345,
    "email": "holly.graham@hlgresearch.com",
    "partnerid": 1,
    "first": "Holly",
    "last": "Graham",
    "role": "admin",
    "registered": "2023-03-15 10:30:00",
    "has_password": 1,
    "defaultaddressid": 0,
    "is_verified": 1,
    "deleted": 0,
    "personal_org": 67890
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hologram.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key.

You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

userId
integer
required

Response

User details

success
boolean
data
object